#!/bin/sh
#
#  This batch file is used to run the example.  This batch file assumes that you
#  are running the client on the same machine as ServletExec, that ServletExec is
#  running on port 80 and that the web application was deployed with a URL context of
#  "/jwsdp/".  If any of these are not true then you will need to edit this batch
#  file and modify the endpoint argument that is passed to the client application.

./setenv.bat

PARSER_CLASSPATH=$JWSDP_HOME/common/lib/jaxp-api.jar:$JWSDP_HOME/common/endorsed/xercesImpl.jar:$JWSDP_HOME/common/endorsed/dom.jar;$JWSDP_HOME/common/endorsed/sax.jar
CLASSPATH=../client:../webapp/WEB-INF/classes:$PARSER_CLASSPATH:$JWSDP_HOME/common/lib/jaxrpc-api.jar:$JWSDP_HOME/common/lib/jaxrpc-ri.jar:$JWSDP_HOME/common/lib/activation.jar:$JWSDP_HOME/common/lib/mail.jar:$JWSDP_HOME/common/lib/saaj-api.jar:$JWSDP_HOME/common/lib/saaj-ri.jar

$JDK_HOME/bin/java -classpath $CLASSPATH com.newatlanta.examples.ExampleWebServiceClient http://localhost:80/jwsdp/jaxrpc/ExampleWebServiceIF

./cleanupenv.sh
